## foolscap-0.3.2.zip

=== Makefile ===

.PHONY: build test debian-sid debian-dapper debian-feisty debian-sarge
.PHONY: debian-edgy debian-etch

build:
	python setup.py build

TRIAL=trial
TEST=foolscap
test:
	$(TRIAL) $(TEST)

test-figleaf:
	rm -f .figleaf
	PYTHONPATH=misc/testutils trial --reporter=bwverbose-figleaf $(TEST)

test-poll:
	$(MAKE) test TRIAL="trial -r poll"
test-figleaf-poll:
	$(MAKE) test-figleaf TRIAL="trial -r poll"

figleaf-output:
	rm -rf coverage-html
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2html -d coverage-html -r . -x misc/testutils/figleaf.excludes
	@echo "now point your browser at coverage-html/index.html"
.figleaf.el: .figleaf
	PYTHONPATH=misc/testutils python misc/testutils/figleaf2el.py .figleaf .

debian-sid:
	rm -f debian
	ln -s misc/sid/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-etch:
	rm -f debian
	ln -s misc/etch/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-dapper:
	rm -f debian
	ln -s misc/dapper/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-edgy:
	rm -f debian
	ln -s misc/edgy/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-feisty:
	rm -f debian
	ln -s misc/feisty/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-gutsy:
	rm -f debian
	ln -s misc/gutsy/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-hardy:
	rm -f debian
	ln -s misc/hardy/debian debian
	chmod a+x debian/rules
	debuild -uc -us

debian-sarge:
	rm -f debian
	ln -s misc/sarge/debian debian
	chmod a+x debian/rules
	debuild -uc -us

DOC_TEMPLATE=doc/template.tpl
docs:
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	`find doc -name '*.xhtml'`
doc/%.html: doc/%.xhtml
	lore -p --config template=$(DOC_TEMPLATE) --config ext=.html \
	--config baseurl='api/%s-class.html' \
	$<

api-docs:
	rm -rf doc/api
	PYTHONPATH=. epydoc -v -o doc/api --html -n Foolscap -u http://foolscap.lothar.com --exclude foolscap.test foolscap

pyflakes:
	pyflakes bin foolscap |sort |uniq

find-trailing-spaces:
	find-trailing-spaces -r bin foolscap

=== misc/dapper/debian/changelog ===
foolscap (0.3.2) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 14 Oct 2008 18:18:01 -0700

foolscap (0.3.1) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed, 03 Sep 2008 14:12:03 -0700

foolscap (0.3.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 04 Aug 2008 23:20:51 -0700

foolscap (0.2.9) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed, 02 Jul 2008 16:53:17 -0700

foolscap (0.2.8) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed, 04 Jun 2008 15:40:52 -0700

foolscap (0.2.7) unstable; urgency=low

  * new release, fix /usr/bin/flogtool

 -- Brian Warner <warner@lothar.com>  Tue, 13 May 2008 12:25:34 -0700

foolscap (0.2.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 06 May 2008 11:31:54 -0700

foolscap (0.2.5) unstable; urgency=low

  * new release, even more logging improvements

 -- Brian Warner <warner@lothar.com>  Tue, 25 Mar 2008 01:09:53 -0700

foolscap (0.2.4) unstable; urgency=low

  * new release, more logging improvements

 -- Brian Warner <warner@lothar.com>  Mon, 28 Jan 2008 18:09:40 -0800

foolscap (0.2.3) unstable; urgency=low

  * new release, logging improvements

 -- Brian Warner <warner@lothar.com>  Mon, 24 Dec 2007 15:02:52 -0800

foolscap (0.2.2) unstable; urgency=low

  * new release, hopefully connection-negotiation is fixed now

 -- Brian Warner <warner@lothar.com>  Wed, 12 Dec 2007 18:12:25 -0800

foolscap (0.2.1) unstable; urgency=low

  * new release, brown-paper-bag bug

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 16:22:35 -0800

foolscap (0.2.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 10 Dec 2007 15:39:15 -0800

foolscap (0.1.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 24 Sep 2007 19:54:36 -0700

foolscap (0.1.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat, 01 Sep 2007 23:58:54 -0700

foolscap (0.1.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 07 Aug 2007 17:47:53 -0700

foolscap (0.1.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 14 May 2007 22:37:04 -0700

foolscap (0.1.3) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  2 May 2007 14:55:49 -0700

foolscap (0.1.2) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Wed,  4 Apr 2007 12:32:46 -0700

foolscap (0.1.1) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue,  3 Apr 2007 20:48:07 -0700

foolscap (0.1.0) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 15 Mar 2007 16:56:16 -0700

foolscap (0.0.7) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Tue, 16 Jan 2007 12:03:00 -0800

foolscap (0.0.6) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Mon, 18 Dec 2006 12:10:51 -0800

foolscap (0.0.5) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Sat,  4 Nov 2006 23:20:46 -0800

foolscap (0.0.4) unstable; urgency=low

  * new release

 -- Brian Warner <warner@lothar.com>  Thu, 26 Oct 2006 00:46:30 -0700

foolscap (0.0.3) unstable; urgency=low

  * new upstream release, put debian packaging in the tree

 -- Brian Warner <warner@lothar.com>  Tue, 10 Oct 2006 19:16:13 -0700

foolscap (0.0.2) unstable; urgency=low

  * New upstream release of an experimental package

 -- Brian Warner <warner@lothar.com>  Thu, 27 Jul 2006 17:40:15 -0700

=== misc/etch/debian/control ===
Source: foolscap
Section: python
Priority: optional
Maintainer: Brian Warner <warner@lothar.com>
Build-Depends: debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-central (>= 0.5), python, python-dev
Build-Depends-Indep: python-twisted-core
XS-Python-Version: all
Standards-Version: 3.7.2

Package: python-foolscap
Architecture: all
Depends: ${python:Depends}, python-twisted-core
Recommends: python-twisted-names, python-pyopenssl
XB-Python-Version: ${python:Versions}
Description: An object-capability -based RPC system for Twisted Python
 Foolscap (aka "newpb") contains a new RPC system for Twisted Python, combining
 capability-based security, secure references, flexible serialization, and
 technology to mitigate resource-consumption attacks.

=== misc/dapper/debian/watch ===
version=3

http://foolscap.lothar.com/releases/foolscap-([\d\.]+)\.tar\.gz
